Package org.codelibs.fess.rank.fusion
Class RankFusionProcessor.SearchRequestParamsWrapper
java.lang.Object
org.codelibs.fess.entity.SearchRequestParams
org.codelibs.fess.rank.fusion.RankFusionProcessor.SearchRequestParamsWrapper
- Enclosing class:
RankFusionProcessor
Wrapper class for SearchRequestParams that allows overriding specific parameters.
This wrapper is used to modify pagination parameters while preserving all other
search request parameters from the parent object.
-
Nested Class Summary
Nested classes/interfaces inherited from class org.codelibs.fess.entity.SearchRequestParams
SearchRequestParams.SearchRequestType -
Field Summary
Fields inherited from class org.codelibs.fess.entity.SearchRequestParams
AS_EPQ, AS_FILETYPE, AS_NQ, AS_OCCURRENCE, AS_OQ, AS_Q, AS_SITESEARCH, AS_TIMESTAMP -
Method Summary
Modifier and TypeMethodDescriptionbooleangetAttribute(String name) Returns the attribute.Returns the conditions.String[]Returns the extra queries.Returns the facet info.Returns the fields.Returns the geo info.Returns the highlight info.String[]Returns the languages.Returns the locale.Returns the min score.intReturns the offset.intReturns the page size.Gets the parent SearchRequestParams object that this wrapper delegates to.getQuery()Returns the query.String[]Returns the response fields.Returns the similar document hash.getSort()Returns the sort.intReturns the start position.Returns the track total hits.getType()Returns the search request type.booleanReturns true if the request has a condition query, otherwise false.inthashCode()toString()Methods inherited from class org.codelibs.fess.entity.SearchRequestParams
createFacetInfo, createGeoInfo, getParamValueArray, isEmptyArray, simplifyArray
-
Method Details
-
getParent
Gets the parent SearchRequestParams object that this wrapper delegates to.- Returns:
- the parent SearchRequestParams instance
-
getQuery
Description copied from class:SearchRequestParamsReturns the query.- Specified by:
getQueryin classSearchRequestParams- Returns:
- The query.
-
getFields
Description copied from class:SearchRequestParamsReturns the fields.- Specified by:
getFieldsin classSearchRequestParams- Returns:
- The fields.
-
getConditions
Description copied from class:SearchRequestParamsReturns the conditions.- Specified by:
getConditionsin classSearchRequestParams- Returns:
- The conditions.
-
getLanguages
Description copied from class:SearchRequestParamsReturns the languages.- Specified by:
getLanguagesin classSearchRequestParams- Returns:
- The languages.
-
getGeoInfo
Description copied from class:SearchRequestParamsReturns the geo info.- Specified by:
getGeoInfoin classSearchRequestParams- Returns:
- The geo info.
-
getFacetInfo
Description copied from class:SearchRequestParamsReturns the facet info.- Specified by:
getFacetInfoin classSearchRequestParams- Returns:
- The facet info.
-
getHighlightInfo
Description copied from class:SearchRequestParamsReturns the highlight info.- Specified by:
getHighlightInfoin classSearchRequestParams- Returns:
- The highlight info.
-
getSort
Description copied from class:SearchRequestParamsReturns the sort.- Specified by:
getSortin classSearchRequestParams- Returns:
- The sort.
-
getStartPosition
public int getStartPosition()Description copied from class:SearchRequestParamsReturns the start position.- Specified by:
getStartPositionin classSearchRequestParams- Returns:
- The start position.
-
getOffset
public int getOffset()Description copied from class:SearchRequestParamsReturns the offset.- Specified by:
getOffsetin classSearchRequestParams- Returns:
- The offset.
-
getPageSize
public int getPageSize()Description copied from class:SearchRequestParamsReturns the page size.- Specified by:
getPageSizein classSearchRequestParams- Returns:
- The page size.
-
getExtraQueries
Description copied from class:SearchRequestParamsReturns the extra queries.- Specified by:
getExtraQueriesin classSearchRequestParams- Returns:
- The extra queries.
-
getAttribute
Description copied from class:SearchRequestParamsReturns the attribute.- Specified by:
getAttributein classSearchRequestParams- Parameters:
name- The name of the attribute.- Returns:
- The attribute.
-
getLocale
Description copied from class:SearchRequestParamsReturns the locale.- Specified by:
getLocalein classSearchRequestParams- Returns:
- The locale.
-
getType
Description copied from class:SearchRequestParamsReturns the search request type.- Specified by:
getTypein classSearchRequestParams- Returns:
- The search request type.
-
getSimilarDocHash
Description copied from class:SearchRequestParamsReturns the similar document hash.- Specified by:
getSimilarDocHashin classSearchRequestParams- Returns:
- The similar document hash.
-
getTrackTotalHits
Description copied from class:SearchRequestParamsReturns the track total hits.- Overrides:
getTrackTotalHitsin classSearchRequestParams- Returns:
- The track total hits.
-
getMinScore
Description copied from class:SearchRequestParamsReturns the min score.- Overrides:
getMinScorein classSearchRequestParams- Returns:
- The min score.
-
hasConditionQuery
public boolean hasConditionQuery()Description copied from class:SearchRequestParamsReturns true if the request has a condition query, otherwise false.- Overrides:
hasConditionQueryin classSearchRequestParams- Returns:
- True if the request has a condition query, otherwise false.
-
getResponseFields
Description copied from class:SearchRequestParamsReturns the response fields.- Overrides:
getResponseFieldsin classSearchRequestParams- Returns:
- The response fields.
-
hashCode
public int hashCode() -
equals
-
toString
-